<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:h="http://xmlns.jcp.org/jsf/html">
    <h:body>   
        <div class="container">
            <h2>#{msgs.manageInventory}</h2>
            <div class="row">
                <div class="col-xs-12 col-xs-updated">
                    <h:form styleClass="form-horizontal">
                        <div class="form-group">
                            <h:outputLabel value="#{msgs.bookisbn}" styleClass="control-label col-sm-2" />
                            <div class="col-sm-10">
                                <h:inputText binding="#{isbn}" a:placeholder="#{msgs.enterBookisbn}" styleClass="form-control" />
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-offset-2 col-sm-10">
                                <h:commandButton value="#{msgs.search}" action="#{booksJpaController.findBooks(input1.value)}" styleClass="btn btn-primary" />
                            </div>
                        </div>
                    </h:form>
                </div>
            </div>

            <h:form>
                <h:dataTable value="#{booksJpaController.findBooks(isbn.value)}" 
                             var="books" class="table table-bordered">
                    <h:column>
                        <f:facet name="header">#{msgs.isbn}</f:facet>
                            #{books.isbn}
                    </h:column>
                    <h:column>
                        <f:facet name="header">#{msgs.title}</f:facet>
                            #{books.title}
                    </h:column>
                    <h:column>
                        <f:facet name="header">#{msgs.listPrice}</f:facet>
                            #{books.listPrice}
                    </h:column>
                    <h:column>
                        <f:facet name="header">#{msgs.onSale}</f:facet>
                            #{books.removalStatus}
                    </h:column>
                    <h:column>
                        <f:facet name="header">#{msgs.setDiscount}</f:facet>
                        <h:inputText></h:inputText>
                    </h:column>
                    <h:column>
                        <f:facet name="header">#{msgs.setDiscount}</f:facet>
                        <button type="button" class="btn btn-primary">
                            <span class="glyphicon glyphicon-pencil"></span>
                        </button>
                    </h:column>
                </h:dataTable>
            </h:form>
        </div>
    </h:body>
</html>
